@import "compass/css3";

html {
  scroll-behavior: smooth;
}

body h1, body h2, body h3, body h4, body h5, body h6, body p, body a, body button, .span-logo {
    font-family: 'Tektur', cursive!important;
}

body .tracking-tighter {
    letter-spacing: 0em!important;
}

.material-symbols-outlined {
    font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 24;
}

.structural-void {
    margin-bottom: 5rem;
}

#backTop {
    width: 50px;
    height: 50px;
    background-color: #f96302;
    position: fixed;
    bottom: 30px;
    right: 30px;
    border-radius: 12%;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 24px;
    transform: scale(0);
    transition: bottom 200ms, transform 200ms;
    z-index: 1000;
}

#backTop.show {
    transform: scale(1);
    transition: all 0.3s ease;
}

#backTop:hover {
    background-color: #f96302cc;
    transform: translateY(-2px);
    transition: all 0.3s ease;
}

#backTop i {
    display: flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
}

.navigation-links a {
    font-size: 20px;
}

.navigation-links a:hover {
    color: #f96302;
}

nav img {
    width: 150px;
}

#container {
        background:#eee;
        height:150px;
        width:500px;
        margin:auto;
        display:flex;
        justify-content:space-between;
        align-items: center;
}
#carousel-track {
        border:1px solid red; /* Shows us what we are working with */
        width:250px;
        height:64px;
        white-space: nowrap; /* Prevents wrapping */
        overflow:hidden;
        font-size:0px;
}
.carousel-item {
    height:64px;
    width:64px;
    background:#333;
    display:inline-block;   
    color:#FFF;
    font-size:16px;
    margin-right:6px;
    transition: transform 0.3s ease;
}

.google-stars {
    display: flex;
    gap: 5px;
}

.google-stars img {
    width: 48px;
    height: 48px;
}

.reviews-container {
    display: flex;
    align-items: center;
    padding: 2rem;
}

.google-reviews-score {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.google-score-inner {
    display: flex;
    flex-direction: column;
}

.google-score-inner p {
    display: flex;
    justify-content: center;
    margin: 16px 0px;
    font-size: 20px;
}

.google-score-inner .google-logo {
    width: 140px;
    height: 45px;
}

.glide__slide {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
}

.review-container .review-stars {
    display: flex;
    gap: 5px;
}

.review-container .review-stars img {
    width: 25px;
    height: 25px;
}

.review-header {
    display: flex;
    align-items: center;
    justify-content: start;
}

.review-header .google-logo-small {
    align-self: center;
    justify-self: end;
}

.review-name p {
    font-size: 20px;
    font-weight: bold;
}

.glide__arrows button {
    background-color: #f96302;
}

.text-surface-variant.free_consultation {
    color: #f96302;
    margin-bottom: 10px;
    font-size: 24px;
}

.service-title {
    color: #191c21;
}

.price-label {
    font-size: 22px;
}

.price_span {
    font-weight: bold;
    color: #f96302;
}

#hamburger-icon {
    margin: auto 0;
    display: none;
    cursor: pointer;
}

#hamburger-icon div {
  width: 35px;
  height: 3px;
  background-color: black;
  margin: 6px 0;
  transition: 0.4s;
}

.open .bar1 {
  -webkit-transform: rotate(-45deg) translate(-6px, 6px);
  transform: rotate(-45deg) translate(-6px, 6px);
}

.open .bar2 {
  opacity: 0;
}

.open .bar3 {
  -webkit-transform: rotate(45deg) translate(-6px, -8px);
  transform: rotate(45deg) translate(-6px, -8px);
}

.mobile-menu {
  position: absolute;
  height: 100%;
  width: 87%;
  justify-content: flex-end;
}

.open .mobile-menu {
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.mobile-menu-content {
    display: none;
}

.open .mobile-menu-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 45vh;
    width: 100vw;
    background-color: #f96302;
    position: absolute;
    margin: 0;
    padding: 0;
    left: -32px;
    top: 75px;
    padding-top: 20px;
}

nav.mobile-menu-content a {
    height: 100px;
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
}

.mobile-menu-content a:hover {
    color: white;   
}

@media screen and (max-width: 1050px) {
    .hidden_large, .call-button-web {
        display: none!important;
    }
}

@media screen and (min-width: 1051px) {
    .hidden_small {display: none!important;}
}

@media screen and (max-width: 1050px) {

    .hidden_small {display: flex!important;}
    
    #hamburger-icon {
    display: block;
  }

}

.header-text-container p {
    color: #333;
    font-size: 22px;
}

.how-it-works-p {
    color: #333;
    font-size: 20px;
}

.pulse-button {
  animation: pulse 1s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

@media screen and (max-width: 639px) {

    .pulse-button {
        margin-bottom: 20px;
    }

    .header-buttons {
        align-items: center;
    }
}